Ubuntu

gnome-screensaver not functioning

Reported by SpmP on 2009-08-10
466
This bug affects 35 people
Affects Status Importance Assigned to Milestone
gnome-screensaver (Ubuntu)
High
Ubuntu Desktop Bugs
Karmic
Undecided
Unassigned

Bug Description

Binary package hint: gnome-screensaver

Gnome screensaver does not activate.

i) Using an up-to-date karmic on amd64
ii) gnome-screensaver 2.27.0-0ubuntu3

when run from terminal I get the following output:

gnome-screensaver --debug --no-daemon
[gs_debug_init] gs-debug.c:106 (22:12:32): Debugging enabled
[main] gnome-screensaver.c:87 (22:12:32): initializing gnome-screensaver 2.27.0
[init_session_id] gs-listener-dbus.c:1986 (22:12:32): Got session-id: /org/freedesktop/ConsoleKit/Session1
[gs_fade_init] gs-fade.c:693 (22:12:32): Fade type: 2
[set_status] gs-watcher-x11.c:345 (22:12:32): GSWatcher: not active, ignoring status changes
[gs_watcher_set_active] gs-watcher-x11.c:275 (22:12:32): turning watcher: ON
[listener_dbus_handle_system_message] gs-listener-dbus.c:1411 (22:12:32): obj_path=/org/freedesktop/DBus interface=org.freedesktop.DBus method=NameAcquired destination=:1.151
[listener_dbus_handle_system_message] gs-listener-dbus.c:1411 (22:12:32): obj_path=(null) interface=(null) method=(null) destination=:1.151
[listener_dbus_handle_system_message] gs-listener-dbus.c:1411 (22:12:32): obj_path=(null) interface=(null) method=(null) destination=:1.151
[listener_dbus_handle_system_message] gs-listener-dbus.c:1411 (22:12:32): obj_path=(null) interface=(null) method=(null) destination=:1.151
[listener_service_deleted] gs-listener-dbus.c:1049 (22:12:32): DBUS service deleted:
[listener_dbus_handle_system_message] gs-listener-dbus.c:1411 (22:12:32): obj_path=(null) interface=(null) method=(null) destination=:1.151
[on_bg_changed] gs-manager.c:953 (22:12:32): background changed
[listener_service_deleted] gs-listener-dbus.c:1049 (22:12:58): DBUS service deleted:
[listener_service_deleted] gs-listener-dbus.c:1049 (22:12:59): DBUS service deleted:

Luís Silva (luis) on 2009-08-12
Changed in gnome-screensaver (Ubuntu):
status: New → Confirmed
Luís Silva (luis) wrote :

Is there any more info needed?

I already reseted gconf settings for both screensaver and power-manager (when in alpha3) but the behaviour stays the same. Screensaver activates correctly if forced (either by locking screen or with "gnome-screensaver-command -a"), but it appears the idle time detection is not working as it doesn't activate by timeout. Screen blanking (DPMS) never activates by timeout also.

When I run "gnome-screensaver-command -a", although screensaver activates correcly I see the folloing reply in the prompt:

$ gnome-screensaver-command -a

** (gnome-screensaver-command:10180): WARNING **: org.freedesktop.DBus.Error.UnknownMethod raised:
 Method "SetActive" with signature "b" on interface "org.gnome.ScreenSaver" doesn't exist

** Message: Did not receive a reply from the screensaver.

Mike Butash (michael-butash) wrote :

I filed a report about similar behavior a few days ago when upgrading from ibex to jaunty and then to karmic, where my screensaver stopped working correctly. Running gnome-screensaver in debug as you did, I see no events at the one minute mark, which the timeout is set to. Using gnome-screensaver-command -a as you did put my screensaver into proper fade out as I'd expect at the timeout, without the error.

One thing I did notice is restarting gnome-screensaver in debug, while waiting for the screensaver to kick in, all of a sudden I did get a DMPS shutdown of the screen, which hadn't occurred at the timeout interval either. I had upgraded yesterday to an updated build of gnome-power-manager (2.27.5-0ubuntu2) supposedly resolving the timeout issue, but did infact not. I did restart it, but not gnome-screensaver, so at least DMPS seems to be behaving, still not gnome-screensaver.

I think the two are somehow related, but I'm not certain if gnome-screensaver and gnome-power-manager use the same event engine (hal,dbus?) to signal "idle" state, or from xorg itself that may be broken. Seems gnome-screensaver just isn't figuring itself to ever go idle, while they fixed whatever it was in GPM. Now that I just tested the DMPS timeout again, I see it's not working again either.

FWIW, another system recently upgraded to Jaunty has variable issues with gnome-screensaver not always turning on at the set timeout as well, really almost random when it works or doesn't. Almost exactly the same output as this one on karmic.

SpmP (scarletpimpernal) wrote :

purging gnome-screensaver obviously didnt enable the screensaver, but now the dpms power off stuff works properly, and consistant with what it would have done with gnome screensaver.

Bernhard (b.a.koenig) wrote :

I can confirm this on karmic, duplicate of bug 397892 ?

Changed in gnome-screensaver (Ubuntu):
importance: Undecided → Low
Mike Butash (michael-butash) wrote :

I think it's a bit more important than "low" as it directly relates to security of my laptop, but I'll leave it to team interpretation.

I finally got tired of waiting on a fix and just forced install of the jaunty packages that work perfectly:

http://us.archive.ubuntu.com/ubuntu/pool/main/g/gnome-screensaver/
gnome-screensaver_2.24.0-0ubuntu6

http://us.archive.ubuntu.com/ubuntu/pool/main/g/gnome-power-manager/
gnome-power-manager_2.24.2-2ubuntu8

I cart my laptop into some hostile environments, and need to rely on my workstation locking in a timely fashion.

tekstr1der (tekstr1der) wrote :

Wanted to confirm working gnome-screensaver after latest round of gnome updates.

Luís Silva (luis) wrote :

Yep, that's right... Now the screensaver activates as expected.
Just DPMS doesn't work yet, but that may be a problem of gnome-power-manager and not gnome-screensaver...

qwerty800 (qwerty8034) wrote :

It still don't work for me, even if I'm fully up to date.
I run Karmic on two Intel Core 2 processors.

qwerty800 (qwerty8034) wrote :

EDIT; I rebooted since, and now it works!

Jamie Strandboge (jdstrand) wrote :

I am reprioritizing the bug because a) the sole functions of the program are to provide a screensaver and lock the screen, neither of which work and b) the lack of screen locking is a security issue.

I am still seeing this issue with the following:
$ dpkg -l|egrep 'gnome-(screen|power)'
ii gnome-power-manager 2.27.91-0ubuntu1 power management tool for the GNOME desktop
ii gnome-screensaver 2.27.0-0ubuntu5 GNOME screen saver and locker

What happens on my machine is that after a minute, the screen will blank for a second, then come back to the desktop. After first logging in it worked properly once, but then not after that.

security vulnerability: no → yes
Changed in gnome-screensaver (Ubuntu):
importance: Low → High
tags: added: regression-potential
Sebastien Bacher (seb128) wrote :

could you try if that's still an issue in current karmic? Jamie your comment seems a different issue than the dbus one, can you look the screen using ctrl-alt-l?

Andy Braben (abraben) wrote :

In Karmic at present, the screen saver or blank screen has started working for me, but putting the display to sleep (as set in Power Management) does not function.

Martijn vdS (martijn) wrote :

I still see this problem on today's Karmic.

Ctrl+Alt+L locks the screen, but the screen will never go into power-save mode later on (it has been like this for most of the Karmic cycle).

Jamie Strandboge (jdstrand) wrote :

ctrl+alt+l works, and actually the last two days I have seen the screen lock and the display put to sleep. I am not entirely confident that the bug is fixed (see Martijn's comment), partially because it would sometimes work for a while and then not. I will report back if/when it fails.

Martijn vdS (martijn) wrote :

Wait.. the screensaver comes on again. It just doesn't turn off the screen (powersave)

Changed in gnome-screensaver (Ubuntu):
assignee: nobody → Ubuntu Desktop Bugs (desktop-bugs)
Jamie Strandboge (jdstrand) wrote :

Well after more than a week of testing, I have not seen this faulty behavior. The screensaver works and so does turning off the screen. AFAIC, it is fixed.

Luís Silva (luis) wrote :

It looks fixed for me too

Luke Hoersten (lukehoersten) wrote :

My DPMS still doesn't work and is probably a problem with gnome-power-manager. Any ideas of clues I can collect for diagnosing more effectively?

Alex Shulgin (alex-shulgin) wrote :

Hey, I still have this problem on up-to-date karmic Xubuntu amd64!

The screensaver doesn't start automatically, but works correctly if I run `gnome-screensaver-command -a' or lock the screen with Ctrl+Alt+Del.

Screen blanking is working correctly in the meantime.

czigor (czigor) wrote :

I have the same problem for a Karmic with gnome. Screensaver does not start automatically, but 'gnome-screensaver-command -a' starts it. It worked fine in Jaunty.

Luke J Militello (kilahurtz) wrote :

I am also having this issue and as stated above, view this as a security issue as I also require the display to "auto" lock itself in a timely manner while I am away from my machines. I opened a bug on this myself yesterday, however I stumbled across this already on going one. Therefore, I have flagged mine as a duplicate in regards to this one. Bug #473801. I have the most recent packages installed as well.

gnome-power-manager -- 2.28.1-0ubuntu1
gnome-screensaver -- 2.28.0-0ubuntu3

And I also never saw this problem in Jaunty or previous.

Luke J Militello (kilahurtz) wrote :

Also note, I have the "random" issue. And by that I mean sometimes nothing works right, sometimes the screen saver works but not the power manager, and seldom do both work as they should. Also, a litte output of my settings per gconf...

Power Manager General Options (Defaults)
--------------------------------------------------------------------------------
power interactive
suspend nothing
icon_policy never

Power Manager On AC Options (Defaults)
--------------------------------------------------------------------------------
idle_dim_ac false
sleep_display_ac 1800

Power Manager On AC Options (User Override)
--------------------------------------------------------------------------------
sleep_display_ac 1800
spindown_enable_ac false

Screensaver Options (User Specific)
--------------------------------------------------------------------------------
mode single
themes screensavers-skyrocket
idle_delay 15
idle_activation_enabled true
lock_enabled true
power_management_delay 30

noble (noblebaker) wrote :

Browsing around with gconf-editor I noticed that there are 2 keys called idle_delay. On of them is /apps/gnome-screensaver/idle_delay and the other is /desktop/gnome/session/idle_delay. It is the latter one that is changed when moving the slider labeled "regard computer as idle after:" in the screensaver prefs GUI. Changing the other value with gconf-editor seems to help the problem but it still seems kind of hit or miss.

tekstr1der (tekstr1der) wrote :

Ugh. This bug is back. This was previously sorted sometime in the karmic dev cycle, but now after release I am affected by this again. At the set time to activate the screensaver, my screen dims to black as if about to start the screensaver, then snaps back to full display brightness.

Luís Silva (luis) wrote :

Yeps, it has been solved in the past for me too, but came back one or two days ago...

Luke J Militello (kilahurtz) wrote :

Is there anything, we, the users can provide the devs to help isolate and eliminate this issue?

Luke J Militello (kilahurtz) wrote :

Due to the security issues involved, is it possible to issue a regression back down to the known working packages from Jaunty until this can be resolved? As of now, I have to SSH to all affected Karmic boxes from my iBook and forcibly shut down the displays. If this is not possible, could someone kindly show me how to forcibly purge the Karmic packages and install the Jaunty ones? I see this was done by a user above, any issues to report with this?

Luke J Militello (kilahurtz) wrote :

I've discovered upon a fresh reboot, if you do not touch gconf at all and let the system idle. The first instance of the screen saver/power manager appears to work. Over the course of time, the randomness comes back and is ultimately followed by nothing working at all. Could we be looking at a memory/resource issue?

Kevin (kevinshlee) wrote :

It still happens with the following packages in Ubuntu 9.10 Karmic Koala Desktop 64bit.

$ gnome-screensaver --version
gnome-screensaver 2.28.0

$ gnome-power-manager --version
Version 2.28.1

Luke J Militello (kilahurtz) wrote :

I ran some updates including the proposed repositories and thus far, it seems like the issue has corrected itself ... I'm not going to call it just yet, although so far the screensaver has started when it should and the displays have shutdown when they should. I will continue to monitor for a few days just to be sure.

Luke J Militello (kilahurtz) wrote :

Well, strike that previous post ... problem is back ... :(

kgeist (casteg) wrote :

Updated from Jaunty to Karmic, screensaver stopped working for me too

Only manual launching is possible

Jon Elofson (jon-elofson) wrote :

Mine seems to be working fine now on 9.10

Luke J Militello (kilahurtz) wrote :

Mine is still random. Sometimes it works, sometimes it doesn't. Still view this as a security vulnerability.

Axos (sancroff) wrote :

I did a clean install of Ubuntu 9.10 yesterday and immediately noticed this problem. As Luke J Militello says, it is random. It will work for a while after boot and at some point just stop working.

Andy Braben (abraben) wrote :

I have noticed that it is hit and miss as to whether this actually works or not.

It is a major security issue.

Kevin (kevinshlee) wrote :

Can we at least have the old working version? I don't see any point to have a new one if it's broken.

Luke J Militello (kilahurtz) wrote :

Agreed, I think a regression would be in order due to the security implications related to this. I currently have to start the screensaver manually and then use xset from my Mac to shutdown the displays remotely.

So is anyone from Ubuntu actually working on this or is this just a bug full of "me too"s?

Is this isolated to Ubuntu? Has this been reported upstream by anyone? Is Ubuntu adding any patches to upstream? Maybe the package owner needs to take another look at those patches?

FWIW, I checked the gnome bugzilla and don't see any similar bugs. So is this something that Ubuntu is introducing?

I am totally lost with this bug, as I have three machines with fresh
installs of Ubuntu Karmic, and one fresh install of Ubuntu Jaunty
upgraded to Karmic. I have the bug on the upgraded machine and one fresh
install, and on the other two fresh installs, it all works perfectly.

Brian J. Murrell wrote:
> FWIW, I checked the gnome bugzilla and don't see any similar bugs. So
> is this something that Ubuntu is introducing?
>
>

Kevin (kevinshlee) wrote :

It's probably not just an Ubuntu bug.

http://art.ubuntuforums.org/showpost.php?p=8354673&postcount=7
http://blogs.gnome.org/hughsie/2009/08/17/

2009/11/27 Brian J. Murrell <email address hidden>

> FWIW, I checked the gnome bugzilla and don't see any similar bugs. So
> is this something that Ubuntu is introducing?
>
> --
> gnome-screensaver not functioning
> https://bugs.launchpad.net/bugs/411350
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Ryan Fugger (rfugger) wrote :

So, to sum up Kevin's post above (comment 42), the fix for this bug is for Ubuntu to apply the following two patches to their version of X:

http://cgit.freedesktop.org/xorg/xserver/patch/?id=db568f9eabf3450d8a023597ff007df355b13ea8
http://cgit.freedesktop.org/xorg/xserver/patch/?id=6b5978dcf1f7ac3ecc2f22df06f7000f360e2066

This will stop X from resetting IDLECOUNTER when DPMS off is sent, which turns the screen back on right after it shuts off.

On Thu, 2009-11-26 at 19:33 +0000, rfugger wrote:
> So, to sum up Kevin's post above (comment 42), the fix for this bug is
> for Ubuntu to apply the following two patches to their version of X:
>
> http://cgit.freedesktop.org/xorg/xserver/patch/?id=db568f9eabf3450d8a023597ff007df355b13ea8
> http://cgit.freedesktop.org/xorg/xserver/patch/?id=6b5978dcf1f7ac3ecc2f22df06f7000f360e2066
>
> This will stop X from resetting IDLECOUNTER when DPMS off is sent, which
> turns the screen back on right after it shuts off.

And will those two commits explain all of the different behaviours here
including everything works fine at times yet at other times, the
screensaver never kicks in and yet other times, the screen saver kicks
in but never DPMSes off?

Heitzso (heitzso) wrote :

This started happening on my AMD 64 X4 w/ 4G in the past couple of weeks. It is consistent, in that the screensaver never kicks in and power saver never turns off display (but I can run the command in a terminal and it works). I didn't go digging in bug reports at first because, as such an in-your-face problem, I figured it would be fixed in short order. Is there anything I can do to help? e.g. report hardware specs? list versions, etc.?

Luke J Militello (kilahurtz) wrote :

Has any progress been made on this?

Ryan Fugger (rfugger) wrote :

I think it's an echo chamber in here -- doesn't seem like anyone from
ubuntu is listening. Anyone feel like setting up a PPA and patching,
building, and packaging a fixed version of X?

Marc Deslauriers (mdeslaur) wrote :

xorg in Karmic already has those two patches.

Ryan Fugger (rfugger) wrote :

So nobody knows why this is happening?

Ryan Fugger (rfugger) wrote :

That bug seems like it would only occur after running totem, which
doesn't seem to be the case here. (At least I don't run totem -- I
use vlc.)

On Thu, Dec 3, 2009 at 9:15 AM, Marc Deslauriers
<email address hidden> wrote:
> It may have to do with this:
>
> https://bugzilla.gnome.org/show_bug.cgi?id=600488
> http://git.gnome.org/cgit/gnome-screensaver/commit/?id=284c9924969a49dbf2d5fae1d680d3310c4df4a3
>

Marc Deslauriers (mdeslaur) wrote :

Could you please try the gnome-screensaver packages in the following PPA once they've finished building:

https://launchpad.net/~mdeslaur/+archive/screen-locking

Even if you don't use totem, it could be when totem is used as a firefox plugin, or it could be another application that crashed with inhibit activated.

Thanks!

Alex Shulgin (alex-shulgin) wrote :

On Thu, Dec 3, 2009 at 22:29, Marc Deslauriers
<email address hidden> wrote:
> Could you please try the gnome-screensaver packages in the following PPA
> once they've finished building:
>
> https://launchpad.net/~mdeslaur/+archive/screen-locking
>
> Even if you don't use totem, it could be when totem is used as a firefox
> plugin, or it could be another application that crashed with inhibit
> activated.

Thanks for trying to do something. This doesn't fix the problem on my
laptop, though.

It must be something else. I'd really like to try tracking this down,
but have no clue where to start. Could anyone suggest, please?

--
Alex
PS: programming experience > 10 years; X.org, GNOME, screensaver
internals xp: 0 years ;)

Ryan Fugger (rfugger) wrote :

It also doesn't seem to do anything for me.

Lupine (thelupine) wrote :

Well, so far so good for me. I applied the update, rebooted, changed the screensaver settings to 1 minute, waited and it came on. Moved the mouse to shut it off, played some video files, went to some web pages, stopped activity again for a minute, and the screen saver engaged again. I've tried a bunch of other tests, and each time the screensaver now comes on. Maybe others need to completely reboot?

Marc Deslauriers (mdeslaur) wrote :

Yes, a reboot is necessary after installing the updated package.

Alex Shulgin (alex-shulgin) wrote :

On Fri, Dec 4, 2009 at 15:05, Marc Deslauriers
<email address hidden> wrote:
> Yes, a reboot is necessary after installing the updated package.

Of course, I rebooted the machine before testing.

--
Alex

Marc Deslauriers (mdeslaur) wrote :

I think we may have more than one problem here.

Alex:
You're using xubuntu?
After logging in, is the gnome-screensaver process running?

Alex Shulgin (alex-shulgin) wrote :

On Fri, Dec 4, 2009 at 16:08, Marc Deslauriers
<email address hidden> wrote:
> I think we may have more than one problem here.
>
> Alex:
> You're using xubuntu?

Yep.

> After logging in, is the gnome-screensaver process running?

Yes.

Marc Deslauriers (mdeslaur) wrote :

Alex:
Could you please run the following command and attach or send me the resulting file:
gconftool-2 --dump /apps/gnome-screensaver /desktop/gnome/session /desktop/gnome/lockdown > debug.xml

Thanks!

Alex Shulgin (alex-shulgin) wrote :

On Fri, Dec 4, 2009 at 17:30, Marc Deslauriers
<email address hidden> wrote:
> Alex:
> Could you please run the following command and attach or send me the resulting file:
> gconftool-2 --dump /apps/gnome-screensaver /desktop/gnome/session /desktop/gnome/lockdown > debug.xml

Marc: Here you go. :)

Marc Deslauriers (mdeslaur) wrote :

rfugger, could you do the same, please?

Marc Deslauriers (mdeslaur) wrote :

Alex: if you set the screensaver to "blank screen" only, does it work?

Alex Shulgin (alex-shulgin) wrote :

On Fri, Dec 4, 2009 at 18:18, Marc Deslauriers
<email address hidden> wrote:
> Alex: if you set the screensaver to "blank screen" only, does it work?

Not really.

Marc Deslauriers (mdeslaur) wrote :

I'm not sure what "Not really" means. Does gnome-screensaver come up after the idle timeout or not?

Alex Shulgin (alex-shulgin) wrote :

On Fri, Dec 4, 2009 at 18:48, Marc Deslauriers
<email address hidden> wrote:
> I'm not sure what "Not really" means. Does gnome-screensaver come up
> after the idle timeout or not?

It means "not". Sorry for confusion.

Marc Deslauriers (mdeslaur) wrote :

OK, I can confirm this. On a fresh installation of xubuntu, gnome-screensaver never get triggered by the idle timeout.

Is anyone else having issues with gnome-screensaver that is _not_ using xubuntu and is still seeing issues with the gnome-screensaver package in my PPA?

Marc Deslauriers (mdeslaur) wrote :

Basically, the newer gnome-screensaver uses gnome-session for the idle timeout. Xubuntu doesn't use gnome-session, so gnome-screensaver doesn't work. Here is the upstream bug report for the issue:

http://bugzilla.xfce.org/show_bug.cgi?id=5927

Ryan Fugger (rfugger) wrote :

Actually, the new gnome-screensaver seems to work for me after
rebooting (hadn't rebooted before, sorry). Thanks Marc!

Luke J Militello (kilahurtz) wrote :

Reading the posts above, is there now a working patch for this? If so, will an updated package be available via the repositories any time soon?

Marc Deslauriers (mdeslaur) wrote :

Once I hear feedback from a couple more people on the gnome-screensaver packages in my PPA, I will start the process to get it updated in Karmic.

Alex Shulgin (alex-shulgin) wrote :

Hey, I've just removed gnome-screensaver and installed xscreensaver instead. It doesn't work either!

Can it be something is broken on some lower level?

I've re-logged in, checked that xscreensaver process is running, adjusted settings to activate after 1 minute of idle time--and it didn't work, just like before. Still it can be activated with Ctrl+Alt+Del three finger salute.

On an aside note, couldn't we patch gnome-screensaver to fallback to earlier behaviour if it sees that gnome-session isn't running?

Alex Shulgin (alex-shulgin) wrote :

Oh, I take it back--after a restart it finally worked with xscreensaver.

My question about patching gnome-screensaver is still actual I think.

Castrato (nick-e-see) wrote :

Using Mythbuntu 9.10 (xfce)

1. Edited /etc/sources.list and inserted gpg pub key manually

2. updated, upgraded, and rebooted.

3. Confirmed GUI settings: 1min idle, no screen lock, blank screensaver

Result: Unsuccessful.

For your convenience, see attached if you like. Thanks for your work on this.

Castrato (nick-e-see) wrote :

<attachment>

Castrato (nick-e-see) wrote :

Sorry, it looks like your fix doesn't apply to me since I'm using xfce. Sorry to waste your time. I wonder what mythbuntu users are supposed to do about this now.

Marc Deslauriers (mdeslaur) wrote :

OK, I've moved the gnome-screensaver issue when used with xfce (xubuntu, mythbuntu) into bug #493573 so it doesn't get lost when this bug gets closed.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-screensaver - 2.28.0-1ubuntu2

---------------
gnome-screensaver (2.28.0-1ubuntu2) lucid; urgency=low

  * debian/patches/09_remove_session_inhibitors.patch:
    - Fix issue when applications leave inhibitors behind. (LP: #411350)
 -- Marc Deslauriers <email address hidden> Mon, 07 Dec 2009 08:07:26 -0500

Changed in gnome-screensaver (Ubuntu):
status: Confirmed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-screensaver - 2.28.0-0ubuntu3.1

---------------
gnome-screensaver (2.28.0-0ubuntu3.1) karmic-security; urgency=low

  * SECURITY UPDATE: broken screen-locking idle timeout (LP: #411350)
    - debian/patches/09_remove_session_inhibitors.patch: Fix issue when
      applications leave inhibitors behind.
 -- Marc Deslauriers <email address hidden> Mon, 07 Dec 2009 10:13:26 -0500

Changed in gnome-screensaver (Ubuntu Karmic):
status: New → Fix Released
tekstr1der (tekstr1der) wrote :

Still broken here after applying update and rebooting. Screen fades to black at correct timeout, but screensaver is not displayed. Instead, the display snaps back to full brightness immediately.

Marc Deslauriers (mdeslaur) wrote :

tekstr1der: that is not the same issue, please file a new bug, so we can get it properly looked at.

This *might* be related to bug #448438, take a look. Yeah, it's a clusterf*ck.

tekstr1der (tekstr1der) wrote :

Filed Bug #494114 hoping it does get properly looked at. Unfortunately, I followed this bug throughout karmic dev cycle and at one point around end of August the screensaver was completely functional. Looks like I've had a different bug for some time now.

If your screen starts to fade at the correct idle timeout, but the screensaver is not shown, please do refer to my aforementioned bug.

To post a comment you must log in.
This report contains Public Security information  Edit
Everyone can see this security related information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.